#!/bin/bash

#*************************************************************************
#*
#*  OpenOffice.org - a multi-platform office productivity suite
#*
#*  $RCSfile: OOoTestRun_unix.sh,v $
#*
#*  $Revision: 1.11 $
#*
#*  last change: $Author: tbo $ $Date: 2006/08/30 11:26:28 $
#*
#*  The Contents of this file are made available subject to
#*  the terms of GNU Lesser General Public License Version 2.1.
#*
#*
#*    GNU Lesser General Public License Version 2.1
#*    =============================================
#*    Copyright 2005 by Sun Microsystems, Inc.
#*    901 San Antonio Road, Palo Alto, CA 94303, USA
#*
#*    This library is free software; you can redistribute it and/or
#*    modify it under the terms of the GNU Lesser General Public
#*    License version 2.1, as published by the Free Software Foundation.
#*
#*    This library is distributed in the hope that it will be useful,
#*    but WITHOUT ANY WARRANTY; without even the implied warranty of
#*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#*    Lesser General Public License for more details.
#*
#*    You should have received a copy of the GNU Lesser General Public
#*    License along with this library; if not, write to the Free Software
#*    Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#*    MA  02111-1307  USA
#*
#########################################################################
#
# Owner : thorsten.bosbach@sun.com
#
# short description : run several testscripts on unix
#
#########################################################################

# set location of testscripts
# (the directory, where directory 'qatesttool' exists)
sLocation=/testtool

# set location of TestTool
# (full path including executable 'testtool')
sTestTool=/testtool/linux/testtool

# set location of close-office file
# (see cvs)
sExitOfficeBas="$sLocation/qatesttool/global/tools/closeoffice.bas"

# insert tests here
testList=("
	/qatesttool/framework/first/first.bas\
	/qatesttool/framework/first/topten.bas\
	/qatesttool/base/update/b_updt.bas\
	/qatesttool/base/update/xforms_updt.bas\
	/qatesttool/calc/update/c_updt.bas\
	/qatesttool/chart/update/ch_updt.bas\
	/qatesttool/framework/update/f_updt_help.bas\
	/qatesttool/framework/update/f_updt_templates.bas\
	/qatesttool/framework/update/f_updt_toolbars.bas\
	/qatesttool/framework/update/f_updt_spadmin.bas\
	/qatesttool/framework/update/f_updt_faxwizard.bas\
	/qatesttool/framework/update/f_updt_letterwizard.bas\
	/qatesttool/framework/update/f_updt_firsttimewizard.bas\
	/qatesttool/framework/update/f_updt_agendawizard.bas\
	/qatesttool/framework/update/f_updt_basic.bas\
	/qatesttool/framework/update/f_updt_basicorganizer.bas\
	/qatesttool/framework/update/f_updt_presentationwizard.bas\
	/qatesttool/framework/update/f_updt_documentconverter.bas\
	/qatesttool/framework/update/f_updt_euroconverter.bas\
	/qatesttool/framework/update/f_updt_wizard_webpage.bas\
	/qatesttool/framework/update/f_updt_scriptnames.bas\
	/qatesttool/framework/update/f_updt_autotext.bas\
	/qatesttool/framework/update/f_updt_customize.bas\
	/qatesttool/framework/update/f_updt_optionitems.bas\
	/qatesttool/framework/update/f_updt_windowfuncs.bas\
	/qatesttool/framework/update/f_updt_pkgmgr.bas\
	/qatesttool/graphics/update/d_updt.bas\
	/qatesttool/graphics/update/gallery.bas\
	/qatesttool/graphics/update/i_updt_1.bas\
	/qatesttool/graphics/update/i_updt_2.bas\
	/qatesttool/graphics/update/gallery2.bas\
	/qatesttool/math/update/m_updt.bas\
	/qatesttool/writer/update/ma_updt.bas\
	/qatesttool/writer/update/w_updt.bas\
	/qatesttool/writer/update/ww_updt.bas\
	/qatesttool/xml/update/oasis_graphics_update.bas\
	/qatesttool/base/level1/controls/b_lvl1_Control_General.bas\
	/qatesttool/base/level1/controls/b_lvl1_Text_Control.bas\
	/qatesttool/base/level1/wizards/b_lvl1_QueryAutopilot.bas\
	/qatesttool/base/level1/datasources/b_lvl1_Addressbook.bas\
	/qatesttool/base/level1/controls/b_lvl1_Property_Browser.bas\
	/qatesttool/base/level1/datasources/b_lvl1_RegisterDatabase.bas\
	/qatesttool/base/level1/datasources/b_lvl1_ADO-Access.bas\
	/qatesttool/base/level1/datasources/b_lvl1_AdabasD.bas\
	/qatesttool/base/level1/datasources/b_lvl1_Addressbook.bas\
	/qatesttool/base/level1/datasources/b_lvl1_JDBC_MySQL.bas\
	/qatesttool/base/level1/datasources/b_lvl1_ODBC_MySQL.bas\
	/qatesttool/base/level1/datasources/b_lvl1_Spreadsheet.bas\
	/qatesttool/base/level1/datasources/b_lvl1_Text.bas\
	/qatesttool/base/level1/datasources/b_lvl1_dBase.bas\
	/qatesttool/base/level1/datasources/b_lvl1_hsqldb.bas\
	/qatesttool/base/level1/datasources/b_lvl1_dBase_functions.bas\
	/qatesttool/base/level1/wizards/b_lvl1_Database_Wizard.bas\
	/qatesttool/base/level1/forms/b_lvl1_Forms.bas\
	/qatesttool/base/level1/wizards/b_lvl1_Copy_Table_Autopilot.bas\
	/qatesttool/base/level1/wizards/b_lvl1_FormAutopilot.bas\
	/qatesttool/base/level1/wizards/b_lvl1_QueryAutopilot.bas\
	/qatesttool/base/level1/wizards/b_lvl1_ReportAutopilot.bas\
	/qatesttool/base/level1/wizards/b_lvl1_Table_Wizard.bas\
	/qatesttool/base/level1/controls/b_lvl1_Grid_Control.bas\
	/qatesttool/base/level1/controls/b_lvl1_Property_Browser.bas\
	/qatesttool/base/level1/controls/b_lvl1_Text_Control.bas\
	/qatesttool/base/level1/forms/b_lvl1_FormFilter.bas\
	/qatesttool/base/level1/xforms/xf_lvl1_submission.bas\
	/qatesttool/base/level1/performance/b_lvl1_Performance_General.bas\
	/qatesttool/base/level1/controls/b_lvl1_Control_Autopilot.bas\
	/qatesttool/base/level1/controls/b_lvl1_Control_Calc.bas\
	/qatesttool/base/level1/controls/b_lvl1_Control_Clipboard.bas\
	/qatesttool/base/level1/controls/b_lvl1_Control_General.bas\
	/qatesttool/base/level1/controls/b_lvl1_Control_Several.bas\
	/qatesttool/calc/options/c_opt.bas\
	/qatesttool/calc/special/keyboardaccessibility.bas\
	/qatesttool/calc/special/c_clipboardtest.bas\
	/qatesttool/calc/special/validity.bas\
	/qatesttool/calc/level1/c_lvl1.bas\
	/qatesttool/calc/special/page_styles.bas\
	/qatesttool/calc/special/menu_2.bas\
	/qatesttool/calc/special/c_so7_pp1.bas\
	/qatesttool/calc/special/c_printrange.bas\
	/qatesttool/calc/special/c_namedrange.bas\
	/qatesttool/calc/special/c_chinesetranslate.bas\
	/qatesttool/calc/level1/c_lvl1_filter_names.bas\
	/qatesttool/calc/loadsave/calc_import_general.bas\
	/qatesttool/calc/special/fkt_test.bas\
	/qatesttool/chart/level1/ch_lvl1.bas\
	/qatesttool/chart/special/chart_types.bas\
	/qatesttool/framework/level2/CJK/CJK_FeatureSwitch.bas\
	/qatesttool/framework/level2/CJK/CJK_GridLayout.bas\
	/qatesttool/framework/level2/CJK/CJK_RubyDialogueProposal.bas\
	/qatesttool/framework/level2/CJK/NewSortingAlgorithmForJapanese.bas\
	/qatesttool/framework/level1/f_lvl1_loadsave.bas\
	/qatesttool/framework/basic/f_scripting_basics.bas\
	/qatesttool/framework/basic/f_basic_first.bas\
	/qatesttool/framework/basic/f_basic_spectemplate.bas\
	/qatesttool/framework/filedlg/filedlg_attributes.bas\
	/qatesttool/framework/filedlg/filedlg_autocompletion.bas\
	/qatesttool/framework/filedlg/filedlg_dialogtest.bas\
	/qatesttool/framework/extras/extras_drawobjects.bas\
	/qatesttool/framework/basic/f_basic_modules.bas\
	/qatesttool/framework/basic/f_scripting_addpkg.bas\
	/qatesttool/framework/security/f_sec_recommend_password.bas\
	/qatesttool/framework/basic/f_scripting_organizers.bas\
	/qatesttool/framework/security/f_sec_macrosecurity.bas\
	/qatesttool/framework/basic/f_basic_usertemplate.bas\
	/qatesttool/framework/basic/f_basic_package_export_import.bas\
	/qatesttool/framework/basic/f_basic_extensions.bas\
	/qatesttool/framework/filedlg/filedlg_filenames1.bas\
	/qatesttool/framework/filedlg/filedlg_filenames2.bas\
	/qatesttool/framework/filedlg/filedlg_filenames3.bas\
	/qatesttool/framework/extras/extras_fonts.bas\
	/qatesttool/framework/extras/extras_labels.bas\
	/qatesttool/framework/extras/extras_samplepreview.bas\
	/qatesttool/framework/extras/extras_sampleopen.bas\
	/qatesttool/framework/extras/extras_tableautoformat.bas\
	/qatesttool/framework/extras/extras_templatepreview.bas\
	/qatesttool/framework/basic/f_basic_formcontrols.bas\
	/qatesttool/framework/level1/f_lvl1_tools.bas\
	/qatesttool/framework/security/f_sec_incorrect_password.bas\
	/qatesttool/framework/security/f_sec_certified_docs.bas\
	/qatesttool/framework/basic/f_basic_basicdocuments.bas\
	/qatesttool/framework/help/help_compare_apps.bas\
	/qatesttool/framework/basic/f_java_load_applets.bas\
	/qatesttool/framework/level1/f_function_toolbar_behavior.bas\
	/qatesttool/framework/basic/f_basic_library_export_import.bas\
	/qatesttool/framework/security/f_sec_broken_signature.bas\
	/qatesttool/framework/security/f_sec_evilmacro.bas\
	/qatesttool/framework/security/f_sec_certification_dialogs.bas\
	/qatesttool/framework/basic/f_basic_protected_libraries.bas\
	/qatesttool/framework/help/help_bookmarks.bas\
	/qatesttool/framework/filedlg/filedlg_accented_foldernames.bas\
	/qatesttool/framework/basic/f_basic_meta-inf.bas\
	/qatesttool/framework/filedlg/filedlg_folders.bas\
	/qatesttool/framework/filedlg/filedlg_cjkchars.bas\
	/qatesttool/framework/extras/extras_autotext.bas\
	/qatesttool/framework/extras/extras_templateopen.bas\
	/qatesttool/framework/level1/f_lvl1_ole.bas\
	/qatesttool/framework/options/f_opt_ooo.bas\
	/qatesttool/framework/options/f_opt_loadsave.bas\
	/qatesttool/framework/filedlg/filedlg_passwords.bas\
	/qatesttool/graphics/options/d_opt.bas\
	/qatesttool/graphics/level1/g_clipboard.bas\
	/qatesttool/graphics/level1/g_edit.bas\
	/qatesttool/graphics/level1/g_spellcheck.bas\
	/qatesttool/graphics/level1/g_toolbars.bas\
	/qatesttool/graphics/level1/i_shape.bas\
	/qatesttool/graphics/level1/d_export_graphic.bas\
	/qatesttool/graphics/level1/i_export_graphic.bas\
	/qatesttool/graphics/options/i_opt.bas\
	/qatesttool/graphics/level1/g_accessability.bas\
	/qatesttool/graphics/level1/g_area.bas\
	/qatesttool/graphics/level1/g_arrangealign.bas\
	/qatesttool/graphics/level1/g_autocorrection.bas\
	/qatesttool/graphics/level1/i_view.bas\
	/qatesttool/graphics/level1/g_convertto.bas\
	/qatesttool/graphics/level1/g_crossfading.bas\
	/qatesttool/graphics/level1/i_slideshow.bas\
	/qatesttool/graphics/level1/g_dimensions.bas\
	/qatesttool/graphics/level1/g_findreplace.bas\
	/qatesttool/graphics/level1/g_group.bas\
	/qatesttool/graphics/level1/g_imagemap.bas\
	/qatesttool/graphics/level1/g_load_save.bas\
	/qatesttool/graphics/level1/g_navigator.bas\
	/qatesttool/graphics/level1/g_slidelayer.bas\
	/qatesttool/graphics/level1/g_stylist.bas\
	/qatesttool/graphics/level1/i_animation.bas\
	/qatesttool/graphics/level1/i_headerfooter.bas\
	/qatesttool/graphics/level1/g_ole.bas\
	/qatesttool/graphics/level1/g_paneview.bas\
	/qatesttool/graphics/level1/g_mediaplayer.bas\
	/qatesttool/graphics/level1/g_shaddow.bas\
	/qatesttool/graphics/level1/i_pengine.bas\
	/qatesttool/graphics/level1/i_slidecopy.bas\
	/qatesttool/graphics/level1/g_character.bas\
	/qatesttool/graphics/level1/g_clipexport.bas\
	/qatesttool/graphics/level1/g_export_html.bas\
	/qatesttool/graphics/level1/g_format.bas\
	/qatesttool/graphics/level1/g_insert.bas\
	/qatesttool/graphics/level1/g_line.bas\
	/qatesttool/graphics/level1/g_paragraph.bas\
	/qatesttool/graphics/level1/g_print.bas\
	/qatesttool/graphics/level1/g_tools.bas\
	/qatesttool/graphics/level1/g_zoom.bas\
	/qatesttool/math/level1/m_lvl1.bas\
	/qatesttool/writer/level1/w_redlining.bas\
	/qatesttool/writer/level1/w_insertgraphic.bas\
	/qatesttool/writer/level1/w_stylist.bas\
	/qatesttool/writer/level1/w_autotext.bas\
	/qatesttool/writer/level1/w_formatparagraph.bas\
	/qatesttool/writer/level1/w_formatpage.bas\
	/qatesttool/writer/level1/w_clipbrd.bas\
	/qatesttool/writer/level1/w_opt.bas\
	/qatesttool/writer/level1/w_search.bas\
	/qatesttool/writer/level1/ww_opt.bas\
	/qatesttool/writer/level1/w_navigator.bas\
	/qatesttool/writer/level1/w_spellcheck.bas\
	/qatesttool/writer/level1/w_calculate.bas\
	/qatesttool/writer/level1/w_table.bas\
	/qatesttool/writer/level1/w_numbering.bas\
	/qatesttool/writer/level1/w_formatcharacter.bas\
	/qatesttool/writer/level1/w_hyphenation.bas\
	/qatesttool/writer/loadsave/w_filter.bas\
	/qatesttool/writer/level1/w_dropdownLB.bas\
	/qatesttool/writer/loadsave/w_exp_xml2.bas\
	/qatesttool/writer/loadsave/w_imp_xml2.bas\
	/qatesttool/writer/loadsave/w_layout_regression.bas\
	/qatesttool/writer/level1/w_fontwork.bas\
	/qatesttool/writer/level1/w_issuezilla_regression.bas\
	/qatesttool/writer/level1/w_shortcuts.bas\
	/qatesttool/writer/level1/w_section.bas\
	/qatesttool/writer/level1/w_sorting.bas\
	/qatesttool/writer/loadsave/w_exp_bin.bas\
	/qatesttool/writer/loadsave/w_exp_xml1.bas\
	/qatesttool/writer/loadsave/w_imp_bin.bas\
	/qatesttool/writer/loadsave/w_imp_xml1.bas\
	/qatesttool/xml/level1/calc_xml_7_export.bas\
	/qatesttool/xml/level1/draw_xml_7_export.bas\
	/qatesttool/xml/level1/impress_xml_7_export.bas\
	/qatesttool/xml/level1/math_xml_7_export.bas\
	/qatesttool/xml/level1/c_datapilot_pagefields.bas\
	/qatesttool/xml/level1/docbook_losa.bas\
	/qatesttool/xml/level1/c_xml_print_scale.bas\
	/qatesttool/xml/level1/f_xml_save_ms_ole.bas\
	/qatesttool/xml/level1/ch_xml_japanese_candlestick.bas\
	/qatesttool/xml/level1/c_xml_scenario.bas\
	/qatesttool/xml/level1/writer_xml_7_export.bas\
")

echo "****************************************************"
echo "************ STARTING ************"
echo "****************************************************"

for x in $testList ;
do
    echo $x
done

# check if there is a virtual display available

 echo "DISPLAY is set to: " $DISPLAY
 echo "My name is: " $USER
 i=0

        for x in $testList ;
        do
                echo "Running soffices' prozesses: "
               # kill office, if exists
                  #killall -9 soffice.bin
                  pkill -9 soffice.bin
                ps -fe | grep $USER | grep "soffice.bin" | grep -v "grep"
        
                echo "****************************************************"
                echo "Will run: " $x

                sTest="$sLocation$x"
                for z in "1" "2" ;
                do
                        $sTestTool -run $sTest &
                        sleep 1
                        echo " "

                        ######### save the PID from the last BackGround job
                        testtoolpid=$!
                        echo "PID of Testtool: " $testtoolpid

                         if ps -p $testtoolpid > /dev/null ; then
                            echo " Sucksessfull started"
                         else
                            echo " There might be something wrong with starting the Testtool!"
                         fi

                        ######### wait until Testtool has finished & closed
                         while ps -p $testtoolpid > /dev/null ; 
                         do
                             sleep 2
                             i=$((i+2))
                         done

                         ####### for the second run use the office exit script!
                         sTest=$sExitOfficeBas
                done
        done

        echo "Duration:" $((i/60)) "min" $((i%60)) "sec " 

echo "****************************************************"
echo "************ FINISHED ************"
echo "****************************************************"
